<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>VotingPeriodNotificationComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/operation/voting-period/voting-period-notification/voting-period-notification.component.ts</code>
</p>





<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>voting-period-notification</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./voting-period-notification.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./voting-period-notification.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#isCloseVotingPeriodInProgress">isCloseVotingPeriodInProgress</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#closeVotingPeriod">closeVotingPeriod</a>
                            </li>
                            <li>
                                <a href="#uploadVotingPeriodConfiguration">uploadVotingPeriodConfiguration</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Inputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#operation">operation</a>
                            </li>
                            <li>
                                <a href="#operationStatus">operationStatus</a>
                            </li>
                        </ul>
                    </td>
                </tr>




                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#userBelongsToOperationManagementEntity">userBelongsToOperationManagementEntity</a>
                                </li>
                                <li>
                                    <a href="#isVotingPeriodClosable">isVotingPeriodClosable</a>
                                </li>
                                <li>
                                    <a href="#isDeploymentInfoDisplayed">isDeploymentInfoDisplayed</a>
                                </li>
                                <li>
                                    <a href="#isUploadButtonShown">isUploadButtonShown</a>
                                </li>
                                <li>
                                    <a href="#pactLink">pactLink</a>
                                </li>
                                <li>
                                    <a href="#isRequestVotingPeriodCreationShown">isRequestVotingPeriodCreationShown</a>
                                </li>
                                <li>
                                    <a href="#isRequestVotingPeriodValidationShown">isRequestVotingPeriodValidationShown</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(router: <a href="https://angular.io/api/router/Router" target="_blank">Router</a>, snackBar: MatSnackBar, translateService: TranslateService, operationManagementService: <a href="../injectables/OperationManagementService.html">OperationManagementService</a>, authorizationService: <a href="../injectables/AuthorizationService.html">AuthorizationService</a>, uploadService: <a href="../injectables/UploadService.html">UploadService</a>, operationService: <a href="../injectables/OperationService.html">OperationService</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="27" class="link-to-prism">src/app/operation/voting-period/voting-period-notification/voting-period-notification.component.ts:27</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>router</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/Router" target="_blank" >Router</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>snackBar</td>
                                                  
                                                        <td>
                                                                    <code>MatSnackBar</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>translateService</td>
                                                  
                                                        <td>
                                                                    <code>TranslateService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>operationManagementService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/OperationManagementService.html" target="_self" >OperationManagementService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>authorizationService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/AuthorizationService.html" target="_self" >AuthorizationService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>uploadService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/UploadService.html" target="_self" >UploadService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>operationService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/OperationService.html" target="_self" >OperationService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    <h3 id="inputs">Inputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="operation"></a>
                        <code>operation</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="../classes/Operation.html" target="_self" >Operation</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="23" class="link-to-prism">src/app/operation/voting-period/voting-period-notification/voting-period-notification.component.ts:23</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="operationStatus"></a>
                        <code>operationStatus</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="../interfaces/OperationStatus.html" target="_self" >OperationStatus</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="24" class="link-to-prism">src/app/operation/voting-period/voting-period-notification/voting-period-notification.component.ts:24</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>



    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="closeVotingPeriod"></a>
                        <span class="name">
                            <b>
                            closeVotingPeriod
                            </b>
                            <a href="#closeVotingPeriod"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>closeVotingPeriod()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="87" class="link-to-prism">src/app/operation/voting-period/voting-period-notification/voting-period-notification.component.ts:87</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="uploadVotingPeriodConfiguration"></a>
                        <span class="name">
                            <b>
                            uploadVotingPeriodConfiguration
                            </b>
                            <a href="#uploadVotingPeriodConfiguration"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>uploadVotingPeriodConfiguration()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="75" class="link-to-prism">src/app/operation/voting-period/voting-period-notification/voting-period-notification.component.ts:75</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isCloseVotingPeriodInProgress"></a>
                        <span class="name">
                            <b>
                            isCloseVotingPeriodInProgress
                            </b>
                            <a href="#isCloseVotingPeriodInProgress"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>isCloseVotingPeriodInProgress:     <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="27" class="link-to-prism">src/app/operation/voting-period/voting-period-notification/voting-period-notification.component.ts:27</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

    <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="userBelongsToOperationManagementEntity"></a>
                        <span class="name"><b>userBelongsToOperationManagementEntity</b><a href="#userBelongsToOperationManagementEntity"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>userBelongsToOperationManagementEntity()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="38" class="link-to-prism">src/app/operation/voting-period/voting-period-notification/voting-period-notification.component.ts:38</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isVotingPeriodClosable"></a>
                        <span class="name"><b>isVotingPeriodClosable</b><a href="#isVotingPeriodClosable"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>isVotingPeriodClosable()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="43" class="link-to-prism">src/app/operation/voting-period/voting-period-notification/voting-period-notification.component.ts:43</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isDeploymentInfoDisplayed"></a>
                        <span class="name"><b>isDeploymentInfoDisplayed</b><a href="#isDeploymentInfoDisplayed"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>isDeploymentInfoDisplayed()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="48" class="link-to-prism">src/app/operation/voting-period/voting-period-notification/voting-period-notification.component.ts:48</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isUploadButtonShown"></a>
                        <span class="name"><b>isUploadButtonShown</b><a href="#isUploadButtonShown"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>isUploadButtonShown()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="54" class="link-to-prism">src/app/operation/voting-period/voting-period-notification/voting-period-notification.component.ts:54</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="pactLink"></a>
                        <span class="name"><b>pactLink</b><a href="#pactLink"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>pactLink()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="61" class="link-to-prism">src/app/operation/voting-period/voting-period-notification/voting-period-notification.component.ts:61</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isRequestVotingPeriodCreationShown"></a>
                        <span class="name"><b>isRequestVotingPeriodCreationShown</b><a href="#isRequestVotingPeriodCreationShown"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>isRequestVotingPeriodCreationShown()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="65" class="link-to-prism">src/app/operation/voting-period/voting-period-notification/voting-period-notification.component.ts:65</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isRequestVotingPeriodValidationShown"></a>
                        <span class="name"><b>isRequestVotingPeriodValidationShown</b><a href="#isRequestVotingPeriodValidationShown"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>isRequestVotingPeriodValidationShown()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="70" class="link-to-prism">src/app/operation/voting-period/voting-period-notification/voting-period-notification.component.ts:70</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, Input } from &#x27;@angular/core&#x27;;
import { Operation } from &#x27;../../model/operation&#x27;;
import {
  AVAILABLE_FOR_INITIALIZATION, COMPLETE, DEPLOYMENT_TARGET_SIMULATION, INITIALIZATION_FAILED, INITIALIZATION_REQUESTED,
  INITIALIZED, NOT_REQUESTED, OperationStatus
} from &#x27;../../model/operation-status&#x27;;
import { OperationManagementService } from &#x27;../../service/operation-managment.service&#x27;;
import { MatSnackBar } from &#x27;@angular/material&#x27;;
import { UploadService } from &#x27;../../../core/service/upload/upload.service&#x27;;
import { TranslateService } from &#x27;@ngx-translate/core&#x27;;
import { AuthorizationService } from &#x27;../../../core/service/http/authorization.service&#x27;;
import { OperationService } from &#x27;../../service/operation.service&#x27;;
import { find } from &#x27;rxjs/operators&#x27;;
import { Router } from &#x27;@angular/router&#x27;;

@Component({
  selector: &#x27;voting-period-notification&#x27;,
  templateUrl: &#x27;./voting-period-notification.component.html&#x27;,
  styleUrls: [&#x27;./voting-period-notification.component.scss&#x27;]
})
export class VotingPeriodNotificationComponent {

  @Input() operation: Operation;
  @Input() operationStatus: OperationStatus;


  isCloseVotingPeriodInProgress: boolean;

  constructor(private router: Router,
              private snackBar: MatSnackBar,
              private translateService: TranslateService,
              private operationManagementService: OperationManagementService,
              private authorizationService: AuthorizationService,
              private uploadService: UploadService,
              private operationService: OperationService) {
  }

  get userBelongsToOperationManagementEntity() {
    return this.operation.managementEntity &#x3D;&#x3D; this.authorizationService.userSnapshot.managementEntity;
  }


  get isVotingPeriodClosable() {
    return this.operationStatus.votingPeriodStatus.state &#x3D;&#x3D; INITIALIZED &amp;&amp;
           this.operationStatus.deploymentTarget &#x3D;&#x3D; DEPLOYMENT_TARGET_SIMULATION;
  }

  get isDeploymentInfoDisplayed() {
    return this.isUploadButtonShown ||
           this.isRequestVotingPeriodCreationShown ||
           this.isRequestVotingPeriodValidationShown;
  }

  get isUploadButtonShown() {
    return (this.operationStatus.votingPeriodStatus.state &#x3D;&#x3D; COMPLETE ||
            this.operationStatus.votingPeriodStatus.state &#x3D;&#x3D; INITIALIZATION_FAILED) &amp;&amp;
           this.userBelongsToOperationManagementEntity &amp;&amp;
           this.authorizationService.hasAtLeastOneRole([&#x27;DEPLOY_VOTING_PERIOD&#x27;]);
  }

  get pactLink() {
    return this.operationStatus.votingPeriodStatus.pactUrl;
  }

  get isRequestVotingPeriodCreationShown() {
    return this.userBelongsToOperationManagementEntity &amp;&amp;
           this.operationStatus.votingPeriodStatus.state &#x3D;&#x3D; AVAILABLE_FOR_INITIALIZATION;
  }

  get isRequestVotingPeriodValidationShown() {
    return this.operationStatus.votingPeriodStatus.state &#x3D;&#x3D; INITIALIZATION_REQUESTED &amp;&amp;
           this.userBelongsToOperationManagementEntity;
  }

  uploadVotingPeriodConfiguration() {
    this.uploadService.exportOperationVotingPeriodConfiguration(this.operation.id).subscribe(
      () &#x3D;&gt; {
        this.snackBar.open(
          this.translateService.instant(&#x27;voting-period.notification.upload-voting-period.success&#x27;), &#x27;&#x27;, {
            duration: 5000
          });
        this.operationManagementService.shouldUpdateStatus();
      }
    );
  }

  closeVotingPeriod() {
    this.operationService.closeVotingPeriod(this.operation.id).subscribe(
      () &#x3D;&gt; {
        this.operationManagementService.shouldUpdateStatus(false);
        this.isCloseVotingPeriodInProgress &#x3D; true;
        this.operationManagementService.status.pipe(
          find(s &#x3D;&gt; s.tallyArchiveStatus.state !&#x3D;&#x3D; NOT_REQUESTED)
        ).subscribe(() &#x3D;&gt; {
            this.isCloseVotingPeriodInProgress &#x3D; false;
            this.router.navigate([&quot;operations&quot;, this.operation.id, &quot;tally&quot;]);
            this.snackBar.open(
              this.translateService.instant(&#x27;voting-period.notification.close-voting-period.success&#x27;), &#x27;&#x27;, {
                duration: 5000
              });
          }
        )
      }
    );

  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;ng-container *ngIf&#x3D;&quot;userBelongsToOperationManagementEntity&quot;&gt;
  &lt;ng-container *roles&#x3D;&quot;[&#x27;DEPLOY_VOTING_PERIOD&#x27;]&quot;&gt;
    &lt;div *ngIf&#x3D;&quot;isDeploymentInfoDisplayed&quot; class&#x3D;&quot;notification notification--deployment&quot;&gt;
      &lt;mat-card&gt;
        &lt;mat-card-content fxLayout fxLayoutAlign&#x3D;&quot;space-between&quot; *ngIf&#x3D;&quot;isUploadButtonShown&quot;&gt;
          &lt;span fxFlexAlign&#x3D;&quot;center&quot;&gt;{{ &quot;voting-period.notification.upload-voting-period.message&quot; | translate}}&lt;/span&gt;

          &lt;button (click)&#x3D;&quot;uploadVotingPeriodConfiguration()&quot;
                  mat-raised-button
                  color&#x3D;&quot;primary&quot;
                  id&#x3D;&quot;deploymentButton&quot;&gt;
            &lt;mat-icon&gt;playlist_add_check&lt;/mat-icon&gt;
            {{ &#x27;voting-period.notification.upload-voting-period.button&#x27; | translate | uppercase }}
          &lt;/button&gt;
        &lt;/mat-card-content&gt;


        &lt;mat-card-content fxLayout fxLayoutAlign&#x3D;&quot;space-between&quot; *ngIf&#x3D;&quot;isRequestVotingPeriodCreationShown&quot;&gt;
          &lt;span
            fxFlexAlign&#x3D;&quot;center&quot;&gt;{{ &quot;voting-period.notification.create-voting-period-request.message&quot; | translate}}&lt;/span&gt;
          &lt;div class&#x3D;&quot;external-action&quot;&gt;
            &lt;div class&#x3D;&quot;action-title section-title&quot;&gt;
              {{ &#x27;voting-period.notification.create-voting-period-request.title&#x27; | translate }}
            &lt;/div&gt;
            &lt;div class&#x3D;&quot;action-link&quot;&gt;
              &lt;a href&#x3D;&quot;{{pactLink}}&quot; target&#x3D;&quot;pact&quot; id&#x3D;&quot;createRequestLink&quot;&gt;
                &lt;mat-icon&gt;link&lt;/mat-icon&gt;
                &lt;span&gt;{{ &#x27;voting-period.notification.create-voting-period-request.pact-link&#x27; | translate }}&lt;/span&gt;
              &lt;/a&gt;
            &lt;/div&gt;
          &lt;/div&gt;
        &lt;/mat-card-content&gt;


        &lt;mat-card-content fxLayout fxLayoutAlign&#x3D;&quot;space-between&quot; *ngIf&#x3D;&quot;isRequestVotingPeriodValidationShown&quot;&gt;
          &lt;span fxFlexAlign&#x3D;&quot;center&quot;&gt;{{ &quot;voting-period.notification.validate-voting-period-request.message&quot; | translate}}&lt;/span&gt;

          &lt;div class&#x3D;&quot;external-action&quot;&gt;
            &lt;div class&#x3D;&quot;action-title section-title&quot;&gt;
              {{ &#x27;voting-period.notification.validate-voting-period-request.title&#x27; | translate }}
            &lt;/div&gt;
            &lt;div class&#x3D;&quot;action-link&quot;&gt;
              &lt;a href&#x3D;&quot;{{pactLink}}&quot; target&#x3D;&quot;pact&quot; id&#x3D;&quot;validateRequestLink&quot;&gt;
                &lt;mat-icon&gt;link&lt;/mat-icon&gt;
                &lt;span&gt;{{ &#x27;voting-period.notification.validate-voting-period-request.pact-link&#x27; | translate }}&lt;/span&gt;
              &lt;/a&gt;
            &lt;/div&gt;
          &lt;/div&gt;
        &lt;/mat-card-content&gt;


      &lt;/mat-card&gt;
    &lt;/div&gt;
  &lt;/ng-container&gt;

  &lt;div *roles&#x3D;&quot;[&#x27;CLOSE_VOTING_PERIOD_IN_SIMULATION&#x27;]&quot; class&#x3D;&quot;notification&quot;&gt;
    &lt;mat-card&gt;
      &lt;mat-card-content fxLayout fxLayoutAlign&#x3D;&quot;space-between&quot; *ngIf&#x3D;&quot;isVotingPeriodClosable&quot;&gt;
        &lt;span fxFlexAlign&#x3D;&quot;center&quot;&gt;{{ &quot;voting-period.notification.close-voting-period.message&quot; | translate}}&lt;/span&gt;

        &lt;button (click)&#x3D;&quot;closeVotingPeriod()&quot;
                mat-raised-button
                color&#x3D;&quot;primary&quot;
                id&#x3D;&quot;closeVotingPeriod&quot;
                [disabled]&#x3D;&quot;isCloseVotingPeriodInProgress&quot;&gt;
          &lt;mat-icon&gt;playlist_add_check&lt;/mat-icon&gt;
          {{ &#x27;voting-period.notification.close-voting-period.button&#x27; | translate | uppercase }}
        &lt;/button&gt;
      &lt;/mat-card-content&gt;
    &lt;/mat-card&gt;
  &lt;/div&gt;

&lt;/ng-container&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./voting-period-notification.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">h2 {
  margin: 0;
}

.notification {
  margin-bottom: 2rem;
}

.error-icon {
  font-size: 3.4rem;
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><ng-container *ngIf="userBelongsToOperationManagementEntity">  <ng-container *roles="[\'DEPLOY_VOTING_PERIOD\']">    <div *ngIf="isDeploymentInfoDisplayed" class="notification notification--deployment">      <mat-card>        <mat-card-content fxLayout fxLayoutAlign="space-between" *ngIf="isUploadButtonShown">          <span fxFlexAlign="center">{{ "voting-period.notification.upload-voting-period.message" | translate}}</span>          <button (click)="uploadVotingPeriodConfiguration()"                  mat-raised-button                  color="primary"                  id="deploymentButton">            <mat-icon>playlist_add_check</mat-icon>            {{ \'voting-period.notification.upload-voting-period.button\' | translate | uppercase }}          </button>        </mat-card-content>        <mat-card-content fxLayout fxLayoutAlign="space-between" *ngIf="isRequestVotingPeriodCreationShown">          <span            fxFlexAlign="center">{{ "voting-period.notification.create-voting-period-request.message" | translate}}</span>          <div class="external-action">            <div class="action-title section-title">              {{ \'voting-period.notification.create-voting-period-request.title\' | translate }}            </div>            <div class="action-link">              <a href="{{pactLink}}" target="pact" id="createRequestLink">                <mat-icon>link</mat-icon>                <span>{{ \'voting-period.notification.create-voting-period-request.pact-link\' | translate }}</span>              </a>            </div>          </div>        </mat-card-content>        <mat-card-content fxLayout fxLayoutAlign="space-between" *ngIf="isRequestVotingPeriodValidationShown">          <span fxFlexAlign="center">{{ "voting-period.notification.validate-voting-period-request.message" | translate}}</span>          <div class="external-action">            <div class="action-title section-title">              {{ \'voting-period.notification.validate-voting-period-request.title\' | translate }}            </div>            <div class="action-link">              <a href="{{pactLink}}" target="pact" id="validateRequestLink">                <mat-icon>link</mat-icon>                <span>{{ \'voting-period.notification.validate-voting-period-request.pact-link\' | translate }}</span>              </a>            </div>          </div>        </mat-card-content>      </mat-card>    </div>  </ng-container>  <div *roles="[\'CLOSE_VOTING_PERIOD_IN_SIMULATION\']" class="notification">    <mat-card>      <mat-card-content fxLayout fxLayoutAlign="space-between" *ngIf="isVotingPeriodClosable">        <span fxFlexAlign="center">{{ "voting-period.notification.close-voting-period.message" | translate}}</span>        <button (click)="closeVotingPeriod()"                mat-raised-button                color="primary"                id="closeVotingPeriod"                [disabled]="isCloseVotingPeriodInProgress">          <mat-icon>playlist_add_check</mat-icon>          {{ \'voting-period.notification.close-voting-period.button\' | translate | uppercase }}        </button>      </mat-card-content>    </mat-card>  </div></ng-container></div>'
    var COMPONENTS = [{'name': 'ActionCardComponent', 'selector': 'action-card'},{'name': 'AdminCardsViewComponent', 'selector': 'admin-cards-view'},{'name': 'AdminComponent', 'selector': 'app-admin'},{'name': 'AdminEditViewComponent', 'selector': 'admin-edit-view'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotDocumentationCardComponent', 'selector': 'ballot-documentation-card'},{'name': 'BallotDocumentationEditComponent', 'selector': ''},{'name': 'BaseCardComponent', 'selector': 'base-card'},{'name': 'BaseCreateComponent', 'selector': ''},{'name': 'BaseEditComponent', 'selector': ''},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'CardTitleCardComponent', 'selector': 'card-title-card'},{'name': 'CardTitleEditComponent', 'selector': 'card-title-edit'},{'name': 'CompletableCardComponent', 'selector': 'completable-card'},{'name': 'DashboardComponent', 'selector': ''},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'DeploymentSummaryComponent', 'selector': 'deployment-summary'},{'name': 'DocumentCardComponent', 'selector': 'document-card'},{'name': 'DocumentEditComponent', 'selector': ''},{'name': 'DomainInfluenceCardComponent', 'selector': 'domain-influence-card'},{'name': 'DomainInfluenceEditComponent', 'selector': ''},{'name': 'DomainInfluenceGridComponent', 'selector': 'domain-influence-grid'},{'name': 'EditContentComponent', 'selector': 'edit-content'},{'name': 'EditLabelComponent', 'selector': 'edit-label'},{'name': 'EditWithSideBarComponent', 'selector': 'edit-with-side-bar'},{'name': 'ElectionDetailsComponent', 'selector': 'election-details'},{'name': 'ElectionDetailsElectoralListComponent', 'selector': 'election-details-electoral-lists'},{'name': 'ElectionDetailsTableComponent', 'selector': 'election-details-table'},{'name': 'ElectionPagePropertiesCardComponent', 'selector': 'election-page-properties-card'},{'name': 'ElectionPagePropertiesEditComponent', 'selector': 'election-page-properties-edit'},{'name': 'ElectionPagePropertiesMappingComponent', 'selector': 'election-page-properties-mapping'},{'name': 'ElectionPagePropertiesModelEditComponent', 'selector': 'election-page-properties-model-edit'},{'name': 'ElectionPagePropertiesModelListComponent', 'selector': 'election-page-properties-model-list'},{'name': 'ElectoralAuthorityKeyCardComponent', 'selector': 'electoral-authority-key-card'},{'name': 'ElectoralAuthorityKeyListComponent', 'selector': 'electoral-authority-key-list'},{'name': 'GroupedGridComponent', 'selector': 'grouped-grid'},{'name': 'HeaderComponent', 'selector': 'chvote-header'},{'name': 'HighlightedQuestionEditComponent', 'selector': 'highlighted-question-edit'},{'name': 'HighlightedQuestionListComponent', 'selector': 'highlighted-question-list'},{'name': 'KeyViewComponent', 'selector': 'key-view'},{'name': 'LocalizedHighlightedQuestionListComponent', 'selector': 'localized-highlighted-question-list'},{'name': 'LoginComponent', 'selector': ''},{'name': 'ManagementEntityCardComponent', 'selector': 'management-entity-card'},{'name': 'ManagementEntityEditComponent', 'selector': 'management-entity-edit'},{'name': 'ManagementEntityListComponent', 'selector': 'management-entity-list'},{'name': 'ManagementEntitySelectorComponent', 'selector': 'management-entity-selector'},{'name': 'MilestoneCardComponent', 'selector': 'milestone-card'},{'name': 'MilestoneEditComponent', 'selector': ''},{'name': 'ModelSelectorComponent', 'selector': 'election-page-bulk-update'},{'name': 'OperationListComponent', 'selector': 'operation-list'},{'name': 'OperationManagementComponent', 'selector': ''},{'name': 'ParametersComponent', 'selector': 'parameters'},{'name': 'ParametersEditComponent', 'selector': ''},{'name': 'ParametersNotificationComponent', 'selector': 'parameters-notification'},{'name': 'PrinterCardComponent', 'selector': 'printer-card'},{'name': 'PrinterEditComponent', 'selector': 'printer-edit'},{'name': 'PrinterViewComponent', 'selector': 'printer-view'},{'name': 'ProductionSummaryComponent', 'selector': 'production-summary'},{'name': 'RegisterCardComponent', 'selector': 'register-card'},{'name': 'RegisterListComponent', 'selector': 'register-list'},{'name': 'RegisterUploadComponent', 'selector': 'register-upload'},{'name': 'RepositoryCardComponent', 'selector': 'repository-card'},{'name': 'RepositoryEditComponent', 'selector': ''},{'name': 'SelectedElectoralAuthorityKeyCardComponent', 'selector': 'selected-electoral-authority-key-card'},{'name': 'SelectedElectoralAuthorityKeyEditComponent', 'selector': 'selected-electoral-authority-key-edit'},{'name': 'SideBarBackButtonComponent', 'selector': 'side-bar-back-button'},{'name': 'SideBarItemComponent', 'selector': 'side-bar-item'},{'name': 'SlideDetailsComponent', 'selector': 'slide-details'},{'name': 'SlideDetailsContentComponent', 'selector': 'slide-details-content'},{'name': 'SlideDetailsDetailsComponent', 'selector': 'slide-details-details'},{'name': 'SmallProgressSpinnerComponent', 'selector': 'small-progress-spinner'},{'name': 'TallyComponent', 'selector': 'tally'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'TestingCardsLotCardComponent', 'selector': 'testing-cards-lot-card'},{'name': 'TestingCardsLotDetailsComponent', 'selector': 'testing-cards-lot-details'},{'name': 'TestingCardsLotListComponent', 'selector': 'testing-cards-lot-list'},{'name': 'TestingCardsLotSideBarItemComponent', 'selector': 'testing-cards-lot-side-bar-item'},{'name': 'TestSiteCardsDownloadButtonComponent', 'selector': 'test-site-cards-download-button'},{'name': 'TestSummaryComponent', 'selector': 'test-summary'},{'name': 'TextWithEditComponent', 'selector': 'text-with-edit'},{'name': 'UploadInputComponent', 'selector': 'upload-input'},{'name': 'VerificationCodeEditComponent', 'selector': 'verification-code-edit'},{'name': 'VotationDetailsComponent', 'selector': 'votation-details'},{'name': 'VotingMaterialComponent', 'selector': ''},{'name': 'VotingMaterialCreationProgressComponent', 'selector': 'voting-material-creation-progress'},{'name': 'VotingMaterialNotificationComponent', 'selector': 'voting-material-notification'},{'name': 'VotingPeriodComponent', 'selector': ''},{'name': 'VotingPeriodNotificationComponent', 'selector': 'voting-period-notification'},{'name': 'VotingSiteConfigurationCardComponent', 'selector': 'voting-site-configuration-card'},{'name': 'VotingSiteConfigurationComponent', 'selector': 'voting-site-configuration-edit'},{'name': 'VotingSitePeriodCardComponent', 'selector': 'voting-site-period-card'},{'name': 'VotingSitePeriodEditComponent', 'selector': 'voting-site-period-edit'},{'name': 'WaitingCover', 'selector': ''}];
    var DIRECTIVES = [{'name': 'CheckRolesDirective', 'selector': '[roles]'}];
    var ACTUAL_COMPONENT = {'name': 'VotingPeriodNotificationComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'VotingPeriodNotificationComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
